跳转到主要内容
POST
/
payment
/
open
/
institution
/
v1
/
pay
/
withdraw
提现下单
curl --request POST \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/withdraw \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "batch_id": "237394559478075350",
  "withdraw_list": [
    {
      "merchant_withdraw_id": "M137394559478075550",
      "currency": "USDT",
      "amount": "1",
      "chain": "ETH",
      "address": "0x1234567890abcdef",
      "memo": "Payment for services-1",
      "fee_type": 1
    },
    {
      "merchant_withdraw_id": "M137394559478075551",
      "currency": "USDT",
      "amount": "0.001",
      "chain": "ETH",
      "address": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
      "memo": "Payment for services-1",
      "fee_type": 0
    }
  ]
}
'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "batch_id": "237394559478075550"
  }
}

概述

本页说明 POST /withdraw/open/institution/v1/pay/create/payouts 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 机构侧请求需携带 X-GatePay-On-Behalf-Of,用于表示本次代理请求的发起方账户上下文。
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

请求头

X-GatePay-Certificate-ClientId
string
必填

商户客户端ID,在 GatePay 平台申请获得

示例:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
必填

HMAC-SHA256签名,用于验证请求合法性

示例:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
必填

时间戳(毫秒),与服务器时间差不能超过5分钟

示例:

"1672905655498"

X-GatePay-Nonce
string
必填

随机数,用于防止重放攻击

示例:

"3525756760"

请求体

application/json

提现下单请求体。

batch_id
string
必填

由商户侧生成并保证唯一,只能由大小写字符、数字、下划线组成,最大长度 32 字符。

withdraw_list
object[]
必填

提现子单列表。

channel_id
string

客户名称。

响应

200 - application/json

提现下单结果

提现下单响应体。

status
string
必填

接口响应结果,SUCCESS 或 FAIL。

code
string
必填

响应错误码。

errorMessage
string

错误描述。

data
object